Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoExceptionClause.data_union.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<MonoExceptionClause.data_union,MonoExceptionClause.data_union.ByValue,MonoExceptionClause.data_union.ByReference>
                  com.nativelibs4java.mono.MonoExceptionClause.data_union
                      com.nativelibs4java.mono.MonoExceptionClause.data_union.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue

Enclosing class:
  MonoExceptionClause.data_union

    public static class MonoExceptionClause.data_union.ByValue

extends MonoExceptionClause.data_union
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoExceptionClause.data_union
`MonoExceptionClause.data_union.ByReference, MonoExceptionClause.data_union.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoExceptionClause.data_union
`catch_class, filter_offset`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoExceptionClause.data_union.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoExceptionClause.data_union
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoExceptionClause.data_union.ByValue

    public MonoExceptionClause.data_union.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD